#### PyKDE - Python Bindings for KDE

# class DOM.NodeIterator |
Table of contents
Modules
tdehtml Classes
All Classes

Module | tdehtml
Class | DOM.NodeIterator
Inherits |

### methods

- NodeIterator ()

  returns a NodeIterator instance

- NodeIterator (other)

  returns a NodeIterator instance
  Argument | Type | Default
  --- | --- | ---
  other | DOM.NodeIterator |

- NodeIterator (i)

  Not Implemented

- detach ()

  returns nothing

- expandEntityReferences ()

  returns (bool)

- filter ()

  returns (DOM.NodeFilter)

- handle ()

  Not Implemented

- isNull ()

  returns (bool)

- nextNode ()

  returns (DOM.Node)

- previousNode ()

  returns (DOM.Node)

- root ()

  returns (DOM.Node)

- whatToShow ()

  returns (ulong)